config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/default/geninitrd.new
( cd boot ; rm -rf README.initrd )
( cd boot ; ln -sf /usr/doc/mkinitrd-1.4.11/README.initrd README.initrd )
( cd usr/sbin ; rm -rf remove-orphaned-initrds )
( cd usr/sbin ; ln -sf /boot/remove-orphaned-initrds remove-orphaned-initrds )
